| Version: 3.2.5

Public Member Functions | List of all members
wxTimerRunner Class Reference

`#include <wx/timer.h>`

## Detailed Description

Starts the timer in its ctor, stops in the dtor.

## Public Member Functions

| wxTimerRunner (wxTimer &timer)
| wxTimerRunner (wxTimer &timer, int milli, bool oneShot=false)
void | Start (int milli, bool oneShot=false)
| ~wxTimerRunner ()

## Constructor & Destructor Documentation

## ◆ wxTimerRunner() [1/2]

wxTimerRunner::wxTimerRunner | ( | wxTimer & | timer | ) |

## ◆ wxTimerRunner() [2/2]

wxTimerRunner::wxTimerRunner | ( | wxTimer & | timer,
|  | int | milli,
|  | bool | oneShot = `false`
| ) |  |

## ◆ ~wxTimerRunner()

wxTimerRunner::~wxTimerRunner | ( |  | ) |

## Member Function Documentation

## ◆ Start()

void wxTimerRunner::Start | ( | int | milli,
|  | bool | oneShot = `false`
| ) |  |